This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 431372 - Install gtk-qt-engine on KDE-only systems
Install gtk-qt-engine on KDE-only systems
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-03 14:23 EST by Mauricio Teixeira
Modified: 2008-02-05 06:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-03 15:08:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mauricio Teixeira 2008-02-03 14:23:50 EST
Fedora is mostly based on Gnome and GTK, but yet there are people who prefer
KDE. On a pristine install, during package customization, I removed the "Gnome
Desktop" group, and added "KDE Desktop". On first start, I noticed that the GTK
applications look very bad (like early 90's squared Gnome), and not similar to
either Clearlooks (default Gnome theme) or Plastik (default KDE theme).
Installing gtk-qt-engine makes GTK apps appear fine (with Plastik theme).

One may argue this is not important, but considering all Fedora system
management applications are GTK/Gnome based, they look pretty bad on KDE-only
systems, this this improvement makes a difference on end-user experience.

This has been reported for 8. I don't know how KDE 4 will work on Fedora 9, so I
don't know if it will still be valid in the next release.
Comment 1 Kevin Kofler 2008-02-03 15:08:47 EST
Sorry, I don't think having different settings depending on the package 
selections on the DVD is a good idea, nor that the folks working on the DVD 
will be happy about that. We may consider using gtk-qt-engine on the 
installable KDE-Live spin where such customizations are easily possible. One 
problem is that gtk-qt-engine currently still uses Qt 3, so you won't get the 
shiny new Oxygen look anyway (but Plastik or whatever style you selected for 
Qt/KDE 3 apps). But I'm afraid that for the generic installer DVD, such 
KDE-specific customizations are simply not an option.

By the way, if you want the default Fedora GTK+ theme, make sure you leave the 
Nodoka theme enabled in your package selections.
Comment 2 Mauricio Teixeira 2008-02-04 23:11:19 EST
An easy solution, without modifying the installer, would be adding gtk-qt-engine
as a Requires to kdebase. But then again, I don't know how that would behave
with KDE4.
Comment 3 Rex Dieter 2008-02-05 06:52:33 EST
gtk-qt-engine is kde(3) only.

Note You need to log in before you can comment on or make changes to this bug.